### Hierarchy

- Telemetry

## Index

### Properties

- connected
- spanMarker

### Methods

- registerCommandHandler
- sendMetric
- sendSpanMetric
- unregisterCommandHandler

## Properties

### Static connected

connected: boolean

- Defined in lib/openfl/profiler/Telemetry.d.ts:7

### Static spanMarker

spanMarker: number

- Defined in lib/openfl/profiler/Telemetry.d.ts:8

## Methods

### Static registerCommandHandler

- registerCommandHandler(commandName: string, handler: any): boolean

- - Defined in lib/openfl/profiler/Telemetry.d.ts:10

  #### Parameters

  - ##### commandName: string

  - ##### handler: any

  #### Returns boolean

### Static sendMetric

- sendMetric(metric: string, value: any): void

- - Defined in lib/openfl/profiler/Telemetry.d.ts:11

  #### Parameters

  - ##### metric: string

  - ##### value: any

  #### Returns void

### Static sendSpanMetric

- sendSpanMetric(metric: string, startSpanMarker: number, value: any): void

- - Defined in lib/openfl/profiler/Telemetry.d.ts:12

  #### Parameters

  - ##### metric: string

  - ##### startSpanMarker: number

  - ##### value: any

  #### Returns void

### Static unregisterCommandHandler

- unregisterCommandHandler(commandName: string): boolean

- - Defined in lib/openfl/profiler/Telemetry.d.ts:13

  #### Parameters

  - ##### commandName: string

  #### Returns boolean

Generated using TypeDoc